diff --git a/src/filters/dasher.c b/src/filters/dasher.c
index 1475387915..63e1e55a61 100644
--- a/src/filters/dasher.c
+++ b/src/filters/dasher.c
@@ -378,7 +378,9 @@ static GF_Err dasher_get_audio_info_with_m4a_sbr_ps(GF_DashStream *ds, const GF_
 	if (Channels) *Channels = ds->nb_ch;
 
 	if (!dsi) {
-		GF_LOG(GF_LOG_WARNING, GF_LOG_DASH, ("[Dasher] missing AAC config\n"));
+		if (!ds->dcd_not_ready) {
+			GF_LOG(GF_LOG_WARNING, GF_LOG_DASH, ("[Dasher] missing AAC config\n"));
+		}
 		return GF_OK;
 	}
 	e = gf_m4a_get_config(dsi->value.data.ptr, dsi->value.data.size, &a_cfg);
diff --git a/src/media_tools/dash_segmenter.c b/src/media_tools/dash_segmenter.c
index 71a20546de..f0318060de 100644
--- a/src/media_tools/dash_segmenter.c
+++ b/src/media_tools/dash_segmenter.c
@@ -519,6 +519,7 @@ static GF_Err gf_dasher_setup(GF_DASHSegmenter *dasher)
 	char *sep_ext;
 	char *args=NULL, szArg[1024];
 	Bool multi_period = GF_FALSE;
+	Bool use_filter_chains = GF_FALSE;
 
 	if (!dasher->mpd_name) {
 		GF_LOG(GF_LOG_ERROR, GF_LOG_DASH, ("[DASH] Missing MPD name\n"));
@@ -857,6 +858,13 @@ static GF_Err gf_dasher_setup(GF_DASHSegmenter *dasher)
 			cur_period_order++;
 		}
 	}
+	for (i=0; i<count; i++) {
+		GF_DashSegmenterInput *di = gf_list_get(dasher->inputs, i);
+		if (di->filter_chain) {
+			use_filter_chains = GF_TRUE;
+			break;
+		}
+	}
 
 	for (i=0; i<count; i++) {
 		u32 j;
@@ -898,7 +906,7 @@ static GF_Err gf_dasher_setup(GF_DASHSegmenter *dasher)
 		}
 
 		//set all args
-		if (di->representationID && strcmp(di->representationID, "NULL")) {
+		if (!use_filter_chains && di->representationID && strcmp(di->representationID, "NULL")) {
 			sprintf(szArg, "#Representation=%s", di->representationID );
 			e |= gf_dynstrcat(&args, szArg, ":");
 		}
@@ -1037,8 +1045,11 @@ static GF_Err gf_dasher_setup(GF_DASHSegmenter *dasher)
 			src = rt;
 		}
 
-		if (!di->filter_chain) continue;
-
+		if (!di->filter_chain) {
+			//assign this source 
+			gf_filter_set_source(dasher->output, src, NULL);
+			continue;
+		}
 		//create the filter chain between source (or rt if it was set) and dasher
 
 		//filter chain
diff --git a/testsuite b/testsuite
index 57d21c0944..d9325fb8ec 160000
--- a/testsuite
+++ b/testsuite
@@ -1 +1 @@
-Subproject commit 57d21c09441cfec4eeb58105a854d2027132e41f
+Subproject commit d9325fb8ec794c953f61b3d567a32e3da84caf65
